clang 8.0.0

Classes | Namespaces | Enumerations
HeaderSearchOptions.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/CachedHashString.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <cstdint>`
`#include <string>`
`#include <vector>`
`#include <map>`
Include dependency graph for HeaderSearchOptions.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::HeaderSearchOptions
| HeaderSearchOptions - Helper class for storing options related to the initialization of the HeaderSearch object. More...
struct | clang::HeaderSearchOptions::Entry
struct | clang::HeaderSearchOptions::SystemHeaderPrefix

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::frontend

## Enumerations
enum | clang::frontend::IncludeDirGroup { clang::frontend::Quoted = 0, clang::frontend::Angled, clang::frontend::IndexHeaderMap, clang::frontend::System, clang::frontend::ExternCSystem, clang::frontend::CSystem, clang::frontend::CXXSystem, clang::frontend::ObjCSystem, clang::frontend::ObjCXXSystem, clang::frontend::After }
| IncludeDirGroup - Identifies the group an include Entry belongs to, representing its relative positive in the search list. More...